/*
 * Original work Copyright (c) 2006-2011 Erin Catto http://www.box2d.org
 * Modified work Copyright (c) 2023 Louis Langholtz https://github.com/louis-langholtz/PlayRho
 *
 * This software is provided 'as-is', without any express or implied
 * warranty. In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software. If you use this software
 *    in a product, an acknowledgment in the product documentation would be
 *    appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 */

#include <PlayRho/Dynamics/WorldImplContact.hpp>

#include <PlayRho/Dynamics/WorldImpl.hpp>

#include <PlayRho/Dynamics/Contacts/Contact.hpp> // for use of GetContact

namespace playrho {
namespace d2 {

ContactCounter GetContactRange(const WorldImpl& world) noexcept
{
    return world.GetContactRange();
}

const Contact& GetContact(const WorldImpl& world, ContactID id)
{
    return world.GetContact(id);
}

void SetContact(WorldImpl& world, ContactID id, const Contact& value)
{
    world.SetContact(id, value);
}

const Manifold& GetManifold(const WorldImpl& world, ContactID id)
{
    return world.GetManifold(id);
}

} // namespace d2
} // namespace playrho
