# Testbed GUI Application Tests Directory

This directory is for classes which sub-class the Testbed's `Test` base class.
You don't really need to know anything about it unless you want to add your own
code to the Testbed.

Subclassing `Test` is *part one* of the way to integrate code into the Testbed
GUI application for demoing and visually testing code. After getting the
subclass initially setup, *part two* of integrating code into the Testbed,
is to add a reference to the subclass to the
[TestEntry.cpp](../Framework/TestEntry.cpp) file that's over in the `Framework`
directory.

See also the [Testbed README](../README.md).

## Images

Here's some images of what these look like when run.

### [`AddPair.hpp`](AddPair.hpp)

![Image of AddPair.hpp running](../../Documentation/images/Testbed/AddPairStressTest.png)

### [`ApplyForce.hpp`](ApplyForce.hpp)

![Image of ApplyForce.hpp running](../../Documentation/images/Testbed/ApplyForce.png)

### [`BagOfDisks.hpp`](BagOfDisks.hpp)

![Image of BagOfDisks.hpp running](../../Documentation/images/Testbed/BagOfDisks.png)

### [`BasicSliderCrank.hpp`](BasicSliderCrank.hpp)

![Image of BasicSliderCrank.hpp running](../../Documentation/images/Testbed/BasicSliderCrank.png)

### [`BodyTypes.hpp`](BodyTypes.hpp)

![Image of BodyTypes.hpp running](../../Documentation/images/Testbed/BodyTypes.png)

### [`Breakable.hpp`](Breakable.hpp)

![Image of Breakable.hpp running](../../Documentation/images/Testbed/Breakable.png)

### [`BreakableTwo.hpp`](BreakableTwo.hpp)

![Image of BreakableTwo.hpp running](../../Documentation/images/Testbed/BreakableTwo.png)

### [`Bridge.hpp`](Bridge.hpp)

![Image of Bridge.hpp running](../../Documentation/images/Testbed/Bridge.png)

### [`BulletTest.hpp`](BulletTest.hpp)

![Image of BulletTest.hpp running](../../Documentation/images/Testbed/BulletTest.png)

### [`Cantilever.hpp`](Cantilever.hpp)

![Image of Cantilever.hpp running](../../Documentation/images/Testbed/Cantilever.png)

### [`Car.hpp`](Car.hpp)

![Image of Car.hpp running](../../Documentation/images/Testbed/Car.png)

### [`Chain.hpp`](Chain.hpp)

![Image of Chain.hpp running](../../Documentation/images/Testbed/Chain.png)

### [`CharacterCollision.hpp`](CharacterCollision.hpp)

![Image of CharacterCollision.hpp running](../../Documentation/images/Testbed/CharacterCollision.png)

### [`CollisionFiltering.hpp`](CollisionFiltering.hpp)

![Image of CollisionFiltering.hpp running](../../Documentation/images/Testbed/CollisionFiltering.png)

### [`CollisionProcessing.hpp`](CollisionProcessing.hpp)

![Image of CollisionProcessing.hpp running](../../Documentation/images/Testbed/CollisionProcessing.png)

### [`CompoundShapes.hpp`](CompoundShapes.hpp)

![Image of CompoundShapes.hpp running](../../Documentation/images/Testbed/CompoundShapes.png)

### [`Confined.hpp`](Confined.hpp)

![Image of Confined.hpp running](../../Documentation/images/Testbed/Confined.png)

### [`ContinuousTest.hpp`](ContinuousTest.hpp)

![Image of ContinuousTest.hpp running](../../Documentation/images/Testbed/ContinuousTest.png)

### [`ConvexHull.hpp`](ConvexHull.hpp)

![Image of ConvexHull.hpp running](../../Documentation/images/Testbed/ConvexHull.png)

### [`ConveyorBelt.hpp`](ConveyorBelt.hpp)

![Image of ConveyorBelt.hpp running](../../Documentation/images/Testbed/ConveyorBelt.png)

### [`DistanceTest.hpp`](DistanceTest.hpp)

![Image of DistanceTest.hpp running](../../Documentation/images/Testbed/DistanceTest.png)

### [`Dominos.hpp`](Dominos.hpp)

![Image of Dominos.hpp running](../../Documentation/images/Testbed/Dominos.png)

### [`DumpShell.hpp`](DumpShell.hpp)

![Image of DumpShell.hpp running](../../Documentation/images/Testbed/DumpShell.png)

### [`EdgeShapes.hpp`](EdgeShapes.hpp)

![Image of EdgeShapes.hpp running](../../Documentation/images/Testbed/EdgeShapes.png)

### [`EdgeTest.hpp`](EdgeTest.hpp)

![Image of EdgeTest.hpp running](../../Documentation/images/Testbed/EdgeTest.png)

### [`FifteenPuzzle.hpp`](FifteenPuzzle.hpp)

![Image of FifteenPuzzle.hpp running](../../Documentation/images/Testbed/FifteenPuzzle.png)

### [`Gears.hpp`](Gears.hpp)

![Image of Gears.hpp running](../../Documentation/images/Testbed/Gears.png)

### [`HalfPipe.hpp`](HalfPipe.hpp)

![Image of HalfPipe.hpp running](../../Documentation/images/Testbed/HalfPipe.png)

### [`HeavyOnLight.hpp`](HeavyOnLight.hpp)

![Image of HeavyOnLight.hpp running](../../Documentation/images/Testbed/HeavyOnLight.png)

### [`HeavyOnLightTwo.hpp`](HeavyOnLightTwo.hpp)

![Image of HeavyOnLightTwo.hpp running](../../Documentation/images/Testbed/HeavyOnLightTwo.png)

### [`JointsTest.hpp`](JointsTest.hpp)

![Image of JointsTest.hpp running](../../Documentation/images/Testbed/JointsTest.png)

### [`Mobile.hpp`](Mobile.hpp)

![Image of Mobile.hpp running](../../Documentation/images/Testbed/Mobile.png)

### [`MobileBalanced.hpp`](MobileBalanced.hpp)

![Image of MobileBalanced.hpp running](../../Documentation/images/Testbed/MobileBalanced.png)

### [`MotorJoint.hpp`](MotorJoint.hpp)

![Image of MotorJoint.hpp running](../../Documentation/images/Testbed/MotorJoint.png)

### [`NewtonsCradle.hpp`](NewtonsCradle.hpp)

![Image of NewtonsCradle.hpp running](../../Documentation/images/Testbed/NewtonsCradle.png)

### [`OneSidedPlatform.hpp`](OneSidedPlatform.hpp)

![Image of OneSidedPlatform.hpp running](../../Documentation/images/Testbed/OneSidedPlatform.png)

### [`Orbiter.hpp`](Orbiter.hpp)

![Image of Orbiter.hpp running](../../Documentation/images/Testbed/Orbiter.png)

### [`Pinball.hpp`](Pinball.hpp)

![Image of Pinball.hpp running](../../Documentation/images/Testbed/Pinball.png)

### [`PolyCollision.hpp`](PolyCollision.hpp)

![Image of PolyCollision.hpp running](../../Documentation/images/Testbed/PolyCollision.png)

### [`PolyShapes.hpp`](PolyShapes.hpp)

![Image of PolyShapes.hpp running](../../Documentation/images/Testbed/PolyShapes.png)

### [`Prismatic.hpp`](Prismatic.hpp)

![Image of Prismatic.hpp running](../../Documentation/images/Testbed/Prismatic.png)

### [`Pulleys.hpp`](Pulleys.hpp)

![Image of Pulleys.hpp running](../../Documentation/images/Testbed/Pulleys.png)

### [`Pyramid.hpp`](Pyramid.hpp)

![Image of Pyramid.hpp running](../../Documentation/images/Testbed/Pyramid.png)

### [`RayCast.hpp`](RayCast.hpp)

![Image of RayCast.hpp running](../../Documentation/images/Testbed/RayCast.png)

### [`Revolute.hpp`](Revolute.hpp)

![Image of Revolute.hpp running](../../Documentation/images/Testbed/Revolute.png)

### [`RopeJoint.hpp`](RopeJoint.hpp)

![Image of RopeJoint.hpp running](../../Documentation/images/Testbed/RopeJoint.png)

### [`SensorTest.hpp`](SensorTest.hpp)

![Image of SensorTest.hpp running](../../Documentation/images/Testbed/SensorTest.png)

### [`ShapeEditing.hpp`](ShapeEditing.hpp)

![Image of ShapeEditing.hpp running](../../Documentation/images/Testbed/ShapeEditing.png)

### [`SliderCrank.hpp`](SliderCrank.hpp)

![Image of SliderCrank.hpp running](../../Documentation/images/Testbed/SliderCrank.png)

### [`SphereStack.hpp`](SphereStack.hpp)

![Image of SphereStack.hpp running](../../Documentation/images/Testbed/SphereStack.png)

### [`SpinningCircle.hpp`](SpinningCircle.hpp)

![Image of SpinningCircle.hpp running](../../Documentation/images/Testbed/SpinningCircle.png)

### [`TheoJansen.hpp`](TheoJansen.hpp)

![Image of TheoJansen.hpp running](../../Documentation/images/Testbed/TheoJansen.png)

### [`Tiles.hpp`](Tiles.hpp)

![Image of Tiles.hpp running](../../Documentation/images/Testbed/Tiles.png)

### [`TimeOfImpact.hpp`](TimeOfImpact.hpp)

![Image of TimeOfImpact.hpp running](../../Documentation/images/Testbed/TimeOfImpact.png)

### [`Tumbler.hpp`](Tumbler.hpp)

![Image of Tumbler.hpp running](../../Documentation/images/Testbed/Tumbler.png)

### [`VaryingFriction.hpp`](VaryingFriction.hpp)

![Image of VaryingFriction.hpp running](../../Documentation/images/Testbed/VaryingFriction.png)

### [`VaryingRestitution.hpp`](VaryingRestitution.hpp)

![Image of VaryingRestitution.hpp running](../../Documentation/images/Testbed/VaryingRestitution.png)

### [`VerticalStack.hpp`](VerticalStack.hpp)

![Image of VerticalStack.hpp running](../../Documentation/images/Testbed/VerticalStack.png)

### [`Web.hpp`](Web.hpp)

![Image of Web.hpp running](../../Documentation/images/Testbed/Web.png)

### [`iforce2d_TopdownCar.hpp`](iforce2d_TopdownCar.hpp)

![Image of iforce2d_TopdownCar.hpp running](../../Documentation/images/Testbed/iforce2d_TopdownCar.png)

### [`iforce2d_Trajectories.hpp`](iforce2d_Trajectories.hpp)

![Image of iforce2d_Trajectories.hpp running](../../Documentation/images/Testbed/iforce2d_Trajectories.png)
